setwd("C:/Users/leyenda/Desktop/master/Estadística_noparamétrica/Trabajos/Trabajo grupo")
ejemplo<-read.table("patatas.txt",dec=",")
x<-ejemplo$V1
y<-ejemplo$V2
h=10000


K<-function(x){
return(1/sqrt(2*pi)*exp(-x^2/2))
}


S<-function(t,x,h,r){
#-- t vector de puntos donde se va a evaluar la función.
#-- x valores de la variable explicativa
#-- y valores de la variable respuesta    
#-- r exponente

    return(apply((K(outer(x,t,"-")/h))%*%(outer(x,t,"-")^r),1,sum))
}
